import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BusRecoverOrder } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-16 13:51
 */
interface BusRecoverOrderCU extends ConditionUtil<BusRecoverOrderCU>{
    ORDER_NO:FieldUtil<BusRecoverOrderCU>;
    USER_ID:FieldUtil<BusRecoverOrderCU>;
    LOT_ID:FieldUtil<BusRecoverOrderCU>;
    CAR_PLATE_NUM:FieldUtil<BusRecoverOrderCU>;
    AMOUNT:FieldUtil<BusRecoverOrderCU>;
    DETAIL:FieldUtil<BusRecoverOrderCU>;
    CREATE_TIME:FieldUtil<BusRecoverOrderCU>;
    STATE:FieldUtil<BusRecoverOrderCU>;
    PAY_TIME:FieldUtil<BusRecoverOrderCU>;
}

class BusRecoverOrderCUImpl extends ConditionUtilImpl<BusRecoverOrderCUImpl> implements BusRecoverOrderCU{ 
    newInstance(): BusRecoverOrderCUImpl {
        return new BusRecoverOrderCUImpl();
    } 
    get ORDER_NO(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('ORDER_NO','orderNo','订单号', this);
    }
    get USER_ID(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('USER_ID','userId','用户ID', this);
    }
    get LOT_ID(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('LOT_ID','lotId','车场ID', this);
    }
    get CAR_PLATE_NUM(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('CAR_PLATE_NUM','carPlateNum','车牌号', this);
    }
    get AMOUNT(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('AMOUNT','amount','应收总金额  单位：分', this);
    }
    get DETAIL(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('DETAIL','detail','账单明细', this);
    }
    get CREATE_TIME(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get STATE(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('STATE','state','00:已支付,01:未支付,02:支付失败', this);
    }
    get PAY_TIME(): FieldUtil<BusRecoverOrderCU>{  
        return new FieldUtil('PAY_TIME','payTime','支付时间', this);
    }
}

@Singleton 
class BusRecoverOrderMU extends TableUtilImpl<BusRecoverOrderCU,BusRecoverOrder>{ 
    tableName  = 'bus_recover_order';
    tableFields  = ['ORDER_NO','USER_ID','LOT_ID','CAR_PLATE_NUM','AMOUNT','DETAIL','CREATE_TIME','STATE','PAY_TIME'];
    modelFields  = ['orderNo','userId','lotId','carPlateNum','amount','detail','createTime','state','payTime'];
    modelIdFields  = ['orderNo'];
    tableIdFields  = ['ORDER_NO'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): BusRecoverOrderCU {
        return new BusRecoverOrderCUImpl();
    }   

    static get ORDER_NO(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('ORDER_NO','orderNo','订单号', new BusRecoverOrderCUImpl());
    }
    static get USER_ID(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('USER_ID','userId','用户ID', new BusRecoverOrderCUImpl());
    }
    static get LOT_ID(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('LOT_ID','lotId','车场ID', new BusRecoverOrderCUImpl());
    }
    static get CAR_PLATE_NUM(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('CAR_PLATE_NUM','carPlateNum','车牌号', new BusRecoverOrderCUImpl());
    }
    static get AMOUNT(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('AMOUNT','amount','应收总金额  单位：分', new BusRecoverOrderCUImpl());
    }
    static get DETAIL(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('DETAIL','detail','账单明细', new BusRecoverOrderCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new BusRecoverOrderCUImpl());
    }
    static get STATE(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('STATE','state','00:已支付,01:未支付,02:支付失败', new BusRecoverOrderCUImpl());
    }
    static get PAY_TIME(): FieldUtil<BusRecoverOrderCU>{ 
        return new FieldUtil('PAY_TIME','payTime','支付时间', new BusRecoverOrderCUImpl());
    }

    get ORDER_NO(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.ORDER_NO;
    }
    get USER_ID(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.USER_ID;
    }
    get LOT_ID(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.LOT_ID;
    }
    get CAR_PLATE_NUM(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.CAR_PLATE_NUM;
    }
    get AMOUNT(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.AMOUNT;
    }
    get DETAIL(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.DETAIL;
    }
    get CREATE_TIME(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.CREATE_TIME;
    }
    get STATE(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.STATE;
    }
    get PAY_TIME(): FieldUtil<BusRecoverOrderCU>{ 
        return BusRecoverOrderMU.PAY_TIME;
    }
}
export {BusRecoverOrderMU, BusRecoverOrderCU}
